# CompletionLogprobs


## Fields

| Field                    | Type                     | Required                 | Description              |
| ------------------------ | ------------------------ | ------------------------ | ------------------------ |
| `tokens`                 | List[*str*]              | :heavy_check_mark:       | N/A                      |
| `token_logprobs`         | List[*float*]            | :heavy_check_mark:       | N/A                      |
| `top_logprobs`           | List[Dict[str, *float*]] | :heavy_check_mark:       | N/A                      |
| `text_offset`            | List[*float*]            | :heavy_check_mark:       | N/A                      |